summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2010-05-15 21:06:42 +0200
committerDan McGee <dan@archlinux.org>2010-05-18 18:29:05 +0200
commitd32f6daa66a454ea41574667d44a2f6c36d4f77e (patch)
treea7edbdc064a1541e8c04fae79eb967af89cd4785
parent5752e276fb585d07bd0f8e8b2a1f2827afdf2799 (diff)
downloadpacman-d32f6daa66a454ea41574667d44a2f6c36d4f77e.tar.gz
pacman-d32f6daa66a454ea41574667d44a2f6c36d4f77e.tar.xz
fix for incorrect checking of return code, which causes syntax errors
Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index e8aaa8b7..97418796 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -693,10 +693,10 @@ extract_sources() {
local ret=0
msg2 "$(gettext "Extracting %s with %s")" "$file" "$cmd"
if [[ $cmd = bsdtar ]]; then
- $cmd -xf "$file" || ret=?
+ $cmd -xf "$file" || ret=$?
else
rm -f "${file%.*}"
- $cmd -dcf "$file" > "${file%.*}" || ret=?
+ $cmd -dcf "$file" > "${file%.*}" || ret=$?
fi
if (( ret )); then
error "$(gettext "Failed to extract %s")" "$file"